Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.hubservices.core.v3
Class ResponseListType

    java.lang.Object
      be.fgov.ehealth.hubservices.core.v3.ResponseListType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:27:42+02:00",
               comments="JAXB RI v2.2.11")
    public class ResponseListType

extends Object
implements Serializable

Java class for ResponseListType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ResponseListType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-KMEHR"/>
             <element name="author" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}authorType"/>
             <element name="date" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="time" type="{http://www.w3.org/2001/XMLSchema}time"/>
             <element name="request" type="{http://www.ehealth.fgov.be/hubservices/core/v3}RequestListType"/>
             <element name="paginationinfo" type="{http://www.ehealth.fgov.be/hubservices/core/v3}Paginationresponseinfo" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ResponseListType()`

Method Summary
`AuthorType` | `getAuthor()` Gets the value of the author property.
`org.joda.time.DateTime` | `getDate()` Gets the value of the date property.
`IDKMEHR` | `getId()` Gets the value of the id property.
`Paginationresponseinfo` | `getPaginationinfo()` Gets the value of the paginationinfo property.
`RequestListType` | `getRequest()` Gets the value of the request property.
`org.joda.time.DateTime` | `getTime()` Gets the value of the time property.
`void` | `setAuthor(AuthorType value)` Sets the value of the author property.
`void` | `setDate(org.joda.time.DateTime value)` Sets the value of the date property.
`void` | `setId(IDKMEHR value)` Sets the value of the id property.
`void` | `setPaginationinfo(Paginationresponseinfo value)` Sets the value of the paginationinfo property.
`void` | `setRequest(RequestListType value)` Sets the value of the request property.
`void` | `setTime(org.joda.time.DateTime value)` Sets the value of the time property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseListType

    public ResponseListType()

Method Detail

### getId

    public IDKMEHR getId()

  Gets the value of the id property.

  Returns:
    possible object is `IDKMEHR`

### setId

    public void setId(IDKMEHR value)

  Sets the value of the id property.

  Parameters:
    `value` - allowed object is `IDKMEHR`

### getAuthor

    public AuthorType getAuthor()

  Gets the value of the author property.

  Returns:
    possible object is `AuthorType`

### setAuthor

    public void setAuthor(AuthorType value)

  Sets the value of the author property.

  Parameters:
    `value` - allowed object is `AuthorType`

### getDate

    public org.joda.time.DateTime getDate()

  Gets the value of the date property.

  Returns:
    possible object is `String`

### setDate

    public void setDate(org.joda.time.DateTime value)

  Sets the value of the date property.

  Parameters:
    `value` - allowed object is `String`

### getTime

    public org.joda.time.DateTime getTime()

  Gets the value of the time property.

  Returns:
    possible object is `String`

### setTime

    public void setTime(org.joda.time.DateTime value)

  Sets the value of the time property.

  Parameters:
    `value` - allowed object is `String`

### getRequest

    public RequestListType getRequest()

  Gets the value of the request property.

  Returns:
    possible object is `RequestListType`

### setRequest

    public void setRequest(RequestListType value)

  Sets the value of the request property.

  Parameters:
    `value` - allowed object is `RequestListType`

### getPaginationinfo

    public Paginationresponseinfo getPaginationinfo()

  Gets the value of the paginationinfo property.

  Returns:
    possible object is `Paginationresponseinfo`

### setPaginationinfo

    public void setPaginationinfo(Paginationresponseinfo value)

  Sets the value of the paginationinfo property.

  Parameters:
    `value` - allowed object is `Paginationresponseinfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.